USE_CAMERA_STUB := false

# inherit from the proprietary version
#-include vendor/pantech/ef18k/BoardConfigVendor.mk

TARGET_NO_BOOTLOADER := true

TARGET_BOARD_PLATFORM := msm7k

TARGET_BOARD_PLATFORM_GPU := qcom-adreno200
TARGET_BOOTLOADER_BOARD_NAME := MSM7630_SURF

#need to change harware/msm7k/Android.mk for this variable to take effect
TARGET_REOGAC_PRODUCT := vegax

TARGET_CPU_ABI  := armeabi-v7a
TARGET_CPU_ABI2 := armeabi
TARGET_ARCH_VARIANT := armv7-a-neon
ARCH_ARM_HAVE_TLS_REGISTER := true
BOARD_USE_QCOM_PMEM := true
#TARGET_LIBAGL_USE_GRALLOC_COPYBITS := true

TARGET_GLOBAL_CFLAGS += -mfpu=neon -mfloat-abi=softfp
TARGET_GLOBAL_CPPFLAGS += -mfpu=neon -mfloat-abi=softfp

# Wifi related defines
BOARD_WPA_SUPPLICANT_DRIVER := WEXT
WPA_SUPPLICANT_VERSION      := VER_0_6_X
BOARD_WLAN_DEVICE           := bcm4329
WIFI_DRIVER_MODULE_PATH     := "/system/lib/modules/wlan.ko"
WIFI_DRIVER_MODULE_ARG      := "firmware_path=/system/etc/wl/bcm4329.bin nvram_path=/system/etc/wl/nvram.txt"
WIFI_DRIVER_MODULE_NAME     := "wlan"

#BOARD_USES_QCOM_VOIPMUTE := true
#BOARD_USES_QCOM_RESETALL := true

BOARD_HAVE_BLUETOOTH := true
BOARD_HAVE_BLUETOOTH_BCM := true

BOARD_VENDOR_QCOM_AMSS_VERSION := 1200
BOARD_VENDOR_QCOM_GPS_LOC_API_AMSS_VERSION := 1240
#BOARD_VENDOR_QCOM_GPS_LOC_API_AMSS_VERSION := 50001
BOARD_VENDOR_QCOM_GPS_LOC_API_HARDWARE := default

BOARD_CAMERA_USE_GETBUFFERINFO := true
BOARD_USE_CAF_LIBCAMERA_GB_REL := true
BOARD_USE_CAF_LIBCAMERA := true
BOARD_OVERLAY_FORMAT_YCrCb_420_SP := true
#BOARD_OVERLAY_FORMAT_YCbCr_420_SP := true

#need to change framework/base/libs/camera/Android.mk to avoid compiling from source
TARGET_PROVIDES_LIBCAMERA_CLIENT := true


BOARD_USES_QCOM_LIBS := true
BOARD_USES_QCOM_GPS := true
BOARD_USES_QCOM_LIBRPC := true
BOARD_HAVE_FM_RADIO := true
#BOARD_GLOBAL_CFLAGS += -DHAVE_FM_RADIO


TARGET_PROVIDES_INIT_TARGET_RC := true
TARGET_PROVIDES_LIBRIL := true
BUILD_WITH_FULL_STAGEFRIGHT := true

# need to modify harware/libhardware_legacy/Android.mk to avoid compiling from source
TARGET_PROVIDES_LIBHARDWARE_LEGACY := true



#TARGET_USES_OVERLAY := true
TARGET_NO_KERNEL := false
TARGET_NO_RADIOIMAGE := true

BOARD_KERNEL_CMDLINE := console=ttyMSM1,115200n8 androidboot.hardware=qcom loglevel=0
BOARD_KERNEL_BASE := 0x00200000
BOARD_KERNEL_PAGESIZE := 4096

#init=/sbin/init root=/dev/ram rw initrd=0x11000000,16M console=ttyDCC0 mem=88M ip=dhcp

#cat /proc/mtd
#dev:    size   erasesize  name
#mtd0: 00600000 00040000 "boot"
#mtd1: 03000000 00040000 "cache"
#mtd2: 00600000 00040000 "recovery"
#mtd3: 00600000 00040000 "fota"
#mtd4: 17700000 00040000 "system"
#mtd5: 00100000 00040000 "misc"
#mtd6: 20040000 00040000 "userdata"

# fix this up by examining /proc/mtd on a running device
BOARD_BOOTIMAGE_PARTITION_SIZE := 0x00600000
BOARD_RECOVERYIMAGE_PARTITION_SIZE := 0x00600000
BOARD_SYSTEMIMAGE_PARTITION_SIZE := 0x17700000
BOARD_USERDATAIMAGE_PARTITION_SIZE := 0x20040000
BOARD_FLASH_BLOCK_SIZE := 0x00040000

TARGET_PREBUILT_KERNEL := device/pantech/ef18k/kernel

#BOARD_HAS_NO_SELECT_BUTTON := true
# Use this flag if the board has a ext4 partition larger than 2gb
#BOARD_HAS_LARGE_FILESYSTEM := true
